PulseAudio fails when Gstreamer is paused

Bug #221038 reported by shockawe5 on 2008-04-23
62
This bug affects 6 people
Affects Status Importance Assigned to Milestone
paconfig
Invalid
Unknown
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by gbar

Bug Description

Using Ubuntu Hardy Heron 8.04 RC

PulseAudio fails when I pause streams being played in gstreamer, such as Totem and Rhythmbox. I've tested this by playing a song in Rhythmbox, and opening "pavucontrol". Pavucontrol opens fine when the stream is playing and still opens if I exit Rhythmbox, but if I pause the song, after a few seconds pavucontrol will give an error message that says "Connection failed: connection terminated". If I try to open it again, it will give an error message that says "Connection failed: connection refused". This does the same thing when videos being played in Totem are paused.

What should happen is that the stream should remain open in PulseAudio when Rhythmbox is paused, but not crash.

I'm not sure if this is a bug against pulseaudio, pavucontrol, or gstreamer. I am more inclined to say gstreamer, since this problem does not occur when Flash streams in Firefox are paused. But then again, Flash doesn't even show up in pavucontrol.

TenLeftFingers (tenleftfingers) wrote :

Thanks for reporting this. Could you visit the link below and follow the steps for completing an audio bug report?
https://wiki.ubuntu.com/DebuggingSoundProblems

Thanks again,
Jarlath

shockawe5 (shockawe5) wrote :
Download full text (16.1 KiB)

Here's the information you requested Jarlath. The attached file contains the output of the alsa-info script found on the wiki page you sent me. Thanks for your help!

uname-a.log

Linux alexsfoss-desktop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

lspci-vvnn.log

00:00.0 Host bridge [0600]: Intel Corporation 82925X/XE Memory Controller Hub [8086:2584] (rev 04)
 Subsystem: Dell Dimension 8400 [1028:0177]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge [0604]: Intel Corporation 82925X/XE PCI Express Root Port [8086:2585] (rev 04) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 Memory behind bridge: dd000000-dfefffff
 Prefetchable memory behind bridge: c0000000-cfffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
 Capabilities: [88] Subsystem: Intel Corporation Unknown device [8086:0000]
 Capabilities: [80] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0300c Data: 41b9
 Capabilities: [a0] Express Root Port (Slot+) IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
  Device: Latency L0s <64ns, L1 <1us
  Device: Errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed 2.5Gb/s, Width x16, ASPM L0s, Port 2
  Link: Latency L0s <256ns, L1 <4us
  Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
  Link: Speed 2.5Gb/s, Width x16
  Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug- Surpise-
  Slot: Number 7680, PowerLimit 150.000000
  Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
  Slot: AttnInd Off, PwrInd On, Power-
  Root: Correctable- Non-Fatal- Fatal- PME-

00:1c.0 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 [8086:2660] (rev 03) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
 Memory behind bridge: dcf00000-dcffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: [40] Express Root Port (Slot+) IRQ 0
  Device: Supported: MaxPayload ...

TenLeftFingers (tenleftfingers) wrote :

Marking as New. I think all the needed info is there. Thanks Alex.

Changed in pulseaudio:
status: Incomplete → New
James Hall (james-hall-01) wrote :
Download full text (10.8 KiB)

I can confirm this bug. I get exactly the same problem. I have discovered that if you run pulseaudio from the command line without the -D option to daemonize it it will output "Soft CPU time limit exhausted, terminating." on crashing. Running pulseaudio with the -vv option leads to the repeated printing of "D: module-alsa-sink.c: EAGAIN" in the terminal while the music is paused however running with this option pulseaudio seems to hang rather than exit completely.

Output of commands:

uname -a

Linux james-desktop 2.6.24-17-generic #1 SMP Thu May 1 14:31:33 UTC 2008 i686 GNU/Linux

sudo lspci -vvnn

00:00.0 Host bridge [0600]: Silicon Integrated Systems [SiS] 746 Host [1039:0746] (rev 10)
 Subsystem: ASRock Incorporation Unknown device [1849:0746]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
 Latency: 0
 Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=64M]
 Capabilities: [c0] AGP version 3.0
  Status: RQ=32 Iso- ArqSz=2 Cal=3 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
  Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW+ Rate=x8

00:01.0 PCI bridge [0604]: Silicon Integrated Systems [SiS] SG86C202 [1039:0002] (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 32
 Bus: primary=00, secondary=01, subordinate=02, sec-latency=32
 I/O behind bridge: 0000b000-0000bfff
 Memory behind bridge: cfd00000-cfefffff
 Prefetchable memory behind bridge: 8fa00000-cfbfffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-

00:02.0 ISA bridge [0601]: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO] [1039:0963] (rev 25)
 Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0

00:02.1 SMBus [0c05]: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller [1039:0016]
 Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Interrupt: pin B routed to IRQ 0
 Region 4: I/O ports at 0c00 [size=32]

00:02.5 IDE interface [0101]: Silicon Integrated Systems [SiS] 5513 [IDE] [1039:5513] (prog-if 80 [Master])
 Subsystem: ASRock Incorporation Unknown device [1849:5513]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 128
 Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
 Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
 Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8...

Krešo Kunjas (deresh) wrote :

i have the sam issues:

http://pastebin.ca/1047709

Sebastian Breier (tomcat42) wrote :

Is this a duplicate of Bug #237443?
I have the same issue with pausing, but usually the actual problem is that pulseaudio crashes.
Can you guys confirm if pulseaudio is still running when you paused audio?

Changed in paconfig:
status: Unknown → New
Sebastian Breier (tomcat42) wrote :

I've had this bug only in rhythmbox so far, and you might be interested in the following workaround.
The bug only started to show up when I disabled crossfading in rb.
I've just re-enabled crossfading, and I can confirm that pausing does not crash pa anymore.

Might be just coincidence, but maybe a thing to try.

shockawe5 (shockawe5) wrote :

After living with the problem for a while, I have come back with some more information. I have two computers, a Dell Dimension 8400 (which is what I've submitted the initial information above with) and a Dell Inspiron 600m. I've had the same problem on my Inspiron, but after I followed "Part A" of the instructions at http://ubuntuforums.org/showthread.php?t=789578, the problem never happened again. I've been using pavucontrol without any crashing issues!

James Hall (james-hall-01) wrote :

Unfortunately following the guide posted above doesn't cause the crashing errors with pausing to stop.

I am experiencing the same problem where pulse audio crashes during pause. I recently changed the values in /etc/pulse/daemon.conf of:
default-sample-channels = 6
default-sample-rate = 48000
and the problem seemed to coincide with this setting. The streams which are paused are two-channel streams though.

This may be related: When I play an ac3 audio file through mplayer pulse audio will crash only seconds into the stream with the following message:
Soft CPU time limit exhausted, terminating.

Benjamin Drung (bdrung) wrote :

I can confirm this bug. I have changed the value in /etc/pulse/daemon.conf to:
default-sample-channels = 6
I am playing stereo flac files with xmms2. When I pause the playback, pulseaudio crashes after a few seconds. This behavior is reproducible.

$ pulseaudio
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL surround51:1
ALSA lib setup.c:96:(snd_sctl_install) Cannot lock ctl elem
W: alsa-util.c: Device hw:1 doesn't support 6 channels, changed to 2.
Soft CPU time limit exhausted, terminating.

$ cat /proc/asound/cards
 0 [HDMI ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xe0310000 irq 17
 1 [Audigy2 ]: Audigy2 - Audigy 4 [SB0610]
                      Audigy 4 [SB0610] (rev.0, serial:0x10211102) at 0x1000, irq 21

Changed in pulseaudio:
status: New → Confirmed
Achim (ach1m) wrote :

@Alex,
Flash doesn't appear in pavucontrol because it doesn't use pulseaudio.

I couldn't reproduce your problem. I paused an video in Totem for 10 min and nothing happened. I was able to start the playback without any problems.

Could it be that the problem is caused by the flash player?

@Benjamin Drung,
As it seems, xmms2 doesn't support pulseaudio in hardy.
I have seen a package in intrepid that should deliver support for pulseaudio. (xmms2-plugin-pulse)

In conclusion, I would say that these problems are related to software that isn't able to use pulseaudio at the moment.

Regards
Achim

Benjamin Drung (bdrung) wrote :

Yes, I have back ported xmms2 0.5 DrLecter from intrepid. You can find it in my PPA: https://launchpad.net/~bdrung/+archive. You need to install xmms2-plugin-pulse and activate it with "xmms2 config output.plugin pulse". xmms2 in intrepid has probably the same issue.

Dana Goyette (danagoyette) wrote :

I can also confirm this issue.
I have two sound cards: my onboard 2-channel HDA card (front:0), and my cardbus Audigy2 (surround51:1). I've set default-sample-channels=6 in daemon.conf, since the Audigy2 refuses to open in multichannel mode if it's already open in stereo mode.

One hopefully useful piece of information: this CPU-eating behavior only occurs when I pause a gstreamer app that's playing to the Audigy2 (surround51:1); if I move the stream to the onboard sound card, the CPU usage goes back to normal. This hints that the issue may originate somewhere in the upmixing PulseAudio does when playing streams on devices with differing numbers of channels.

shockawe5 (shockawe5) wrote :

I have once again returned with more info. I have discovered that the problem is not actually solved by the link that I posted above, but is indeed caused by setting the value in /etc/pulse/daemon.conf to:
default-sample-channels = 6

I set it back to 2 on my dell desktop and everything was fine. PulseAudio is actually what crashes, and as a result, crashes whatever happens to be using PulseAudio at the time, such as Rhythmbox.

It would be nice to see this fixed by Intrepid.

Changed in paconfig:
status: New → Invalid
Dana Goyette (danagoyette) wrote :

Hmm, I recently switched to the PulseAudio 0.9.12 packages in this PPA repository:
https://launchpad.net/~themuso/+archive

I'm not entirely sure, but I believe this has actually fixed the CPU usage issues on pause. CPU usage of PulseAudio now drops to zero on pause, instead of rising to 100%. It might be useful to do a diff of the channel-remixing code of the newer PulseAudio, and evaluate whether it can be backported in case PulseAudio 0.9.12 can't itself be.

The only tradeoff is that now PulseAudio takes 4 or 5 times of removing and reinserting the Audigy2 card before it'll use the surround capabilities on the device.

Sebastian Breier (tomcat42) wrote :

Dana:
According to upstream, this is fixed in pulse 0.9.11/.12, so the PPA should fix it.
I will try it, because for me it seems to be getting worse since intrepid (which is still on 0.9.10).

Sebastian Breier (tomcat42) wrote :

That didn't work so well... :)
The PPA misses /usr/bin/pulse-session (and possibly) other things, so I wasn't able to test it, because I can't log in anymore. ;)
If anyone wants to try it who is not an experienced user: Don't! :)

Sebastian Breier (tomcat42) wrote :

I can confirm that this is fixed in pulseaudio 0.9.13 (as in the PPA) for me.
Thanks Dana!

To anyone trying the PPA on 8.10:
Before upgrading the packages, copy /usr/bin/pulse-session to /usr/local/bin/pulse-session.
After upgrading, set STARTUP in /etc/X11/Xsession.d/70pulseaudio to the /usr/local/bin path.

Sebastian Pölsterl (sebp) wrote :

I have exactly the same problem. I installed the intrepid packages again, because pulse-session is missing in the debs of the PPA. It would be great if that could be properly fixed in the official pulseaudio packages, because it's very annoying when pulseaudio crashes every 20-30 min.

Bruno Gomes (blfgomes) wrote :

I'm also experiencing the same problem (I'm using Intrepid). If I set default-sample-channels = 6, the pulseaudio server crashes with a "Soft CPU time limit exhausted, terminating" message. I changed it back to 2 channels and everything is working fine now. Is there any chance a new version of pulseaudio will make it to the official Intrepid repository?

Øyvind Stegard (oyvinst) wrote :

I haven't changed a thing in the default Ubuntu 8.10 audio configuration, and this occurs frequently when moving a live audio stream from my external USB audio sound card (Creative Xmod) to my onboard HDA Intel:

Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted

Øyvind Stegard (oyvinst) wrote :

I also hit this particular bug. I paused Rhythmbox yesterday before I went to bed, came back from work just now, and everything using audio hangs (Rhythmbox and Firefox/Flash). The pulseaudio daemon is still running, but it does not accept connections. There is nothing pulseaudio-related printed in syslog or ~/.xsession-errors.
$ pulseaudio -k
does not work, it is unable to kill the running daemon.

$ kill -term `pidof pulseaudio`
does not work.

$ kill -9 `pidof pulseaudio`
does the trick.

Starting up pulseaudio again by running pulse-session works, without having to log out and back in.

Øyvind Stegard (oyvinst) wrote :

Forgot to add some essential info:
Running Ubuntu Intrepid.

$ LANG=C apt-cache policy pulseaudio
pulseaudio:
  Installed: 0.9.10-2ubuntu9
  Candidate: 0.9.10-2ubuntu9
  Version table:
 *** 0.9.10-2ubuntu9 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Audio hardware in use:
card 0: Intel [HDA Intel], device 0: ALC888 Analog [ALC888 Analog]

joshyg6 (josheg) wrote :

STEGARD's tip WORKED!!! confirmeD!! what does that mean the bug is?

Øyvind Stegard (oyvinst) wrote :

It means the pulseaudio daemon has frozen and is not responding to the normal terminate signal. So you have to brutally kill it with the KILL signal instead (kill -9). That is why the two first kill commands do not work.

I've now disabled pulseaudio on all of my different Ubuntu 8.10 installations, I cannot use it, I find it unacceptable with crashes and freezes, especially when it does not add significant value and ALSA by itself works fine. In case anyone else has problems with pulseaudio crashing and want to use pure ALSA until fixes for these problems appear in updates, I documented what I did to disable it here:
http://folk.uio.no/oyvinst/disable_pulseaudio.txt

gbar (heksagram) wrote :

Today i have installed pulseaudio again. I have changed some settings in daemon.conf:
high-priority = yes
nice-level = -11
realtime-scheduling = yes
realtime-priority = 5

and after changing from 2 to 6 channels i can use pulse without any crash.
I don't know if this is because of this changes in settings or packages.

gbar (heksagram) wrote :

I forgot to add that i am using this repository for pulseaudio:

# PulseAudio 0.9.12 - Preview Packages (TheMuso)
deb http://ppa.launchpad.net/themuso/ubuntu intrepid main
deb-src http://ppa.launchpad.net/themuso/ubuntu intrepid main

I found it here:
http://ubuntuforums.org/showthread.php?t=866965

Benjamin Drung (bdrung) wrote :

I have backported pulseaudio 0.9.13-1ubuntu3 in my PPA. With this version the bug does not appear.

Alexander Pokluda (apokluda) wrote :

I am using Ubuntu Jaunty, and this bug still appears for me. I believe I have the pulse audio package version 1:0.9.14-0ubuntu20. I have an integrated audio card on my motherboard (using a Realtek chip) and a PCI Creative SoundBlaster Audigy 5.1 sound card. When I use pvucontrol to send the audio stream to my integrated audio device, everything seems to work fine; however, when I send the audio to my Audigy sound card, Pulse Audio crashes every 5 - 20 minutes with the message:

Soft CPU time limit exhausted, terminating.

I have

default-sample-channels = 6

in /etc/pulse/daemon.conf. I'm using this computer as a media centre PC and this bug renders my surround sound system almost useless :-( I've attached the output of running pulseaudio -vvv.

Alexander Pokluda (apokluda) wrote :
Download full text (6.1 KiB)

Here is some more information, in case it is useful:

Here's what Boxee's prints to stdout when pulse audio crashes:

boxee@ubuntu-server:/opt/boxee$ ./run-boxee-desktop
12/07/09 14:04:38#DEBUG#bxbgprocess.cpp:146(Start)#bg process initialized. 1 worker threads created.
12/07/09 14:04:38#DEBUG#bxcurl.cpp:63(Initialize)#curl initialized. version <7.18.2>

Running Boxee test...
And the log goes to... /tmp/boxee-boxee.log
is rtorrent running: 0
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
Boxee: pcm_pulse.c:361: pulse_write: Assertion `pcm->stream' failed.
Aborted

Here's what appears in Boxee's log, when pulse audio crashes:

10:05:11 T:4120659856 M:1482825728 INFO: Loading skin file: boxee_video_context.xml
10:05:15 T:3696761744 M:1479155712 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:16 T:3696761744 M:1479196672 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:16 T:4120659856 M:1479196672 INFO: CheckIdle - Closing session to http ://www.google.com (easy=0xb033060, multi=(nil))
10:05:17 T:4120659856 M:1479204864 INFO: CheckIdle - Closing session to http ://xoap.weather.com (easy=0xaf90948, multi=0xb4f2f80)
10:05:18 T:3696761744 M:1479208960 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:18 T:4120659856 M:1479208960 INFO: CheckIdle - Closing session to http ://akas.imdb.com (easy=0xb111820, multi=0xafcf640)
10:05:19 T:3696761744 M:1479208960 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:23 T:3696761744 M:1478553600 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:23 T:3705465744 M:1477476352 INFO: CDVDPlayerVideo - Stillframe detected, switching to forced 14.985015 fps
10:05:24 T:3705465744 M:1478524928 INFO: CDVDPlayerVideo - Stillframe left, switching to normal playback
10:05:25 T:3696761744 M:1479225344 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:26 T:3705465744 M:1478438912 INFO: CDVDPlayerVideo - Stillframe detected, switching to forced 14.985015 fps
10:05:27 T:3705465744 M:1478930432 INFO: CDVDPlayerVideo - Stillframe left, switching to normal playback
10:05:32 T:3731082128 M:1478774784 WARNING: SkipBytes - request negative skip which is not supported.
10:05:32 T:3696761744 M:1478774784 WARNING: CALSADirectSound::CALSADirectSound - device is not able to pause playback, will flush instead
10:05:32 T:3696761744 M:1479233536 WARNING: CDVDMessageQueue(audio)::Get - retrieved last data packet of queue
10:05:38 T:4120659856 M:1480056832 INFO: CheckIdle - Closing session to http ://blip.tv (easy=0xb1ded58, multi=0xb03e020)
10:06:02 T:4120659856 M:1480032256 INFO: CheckIdle - Closing session to http ://a27.video2.blip.tv (easy=0xb80a3e0, multi=0xb1f67f0)
10:06:10 T:4120659856 M:1480007680 NOTICE: Samba is idle. Closing the remaining ...

Read more...

Alexander Pokluda (apokluda) wrote :

And some information about my system...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.